%Angles that are iterated
angles = [];

for a = 0:9
    angles = [angles, a*10];
end

[sz1,sz2] = size(angles);

%Arrays holding the results
air_times = []
hit_rates = [];

%Recieve results from main
for i = 1:sz2
    [hit_rate, air_time] = main( angles(i));
    hit_rates = [ hit_rates, hit_rate]; 
    air_times = [ air_times, air_time];
    strmin = ['Hit rate = ',num2str(hit_rate), '%, for nozzle angle of ', num2str( angles(i) ), ' degrees' ];
    disp(strmin)
end 

%Plot result
figure
hold on
grid on

xlabel('Vertical angle [deg]', 'FontSize', 20)
ylabel('Air time [s]', 'FontSize', 20)
plot( angles, air_times )

hold off
